apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "easee-bot.helm.fullname" . }}
  labels:
    {{- include "easee-bot.helm.labels" . | nindent 4 }}
spec:
  replicas: 1
  selector:
    matchLabels:
      {{- include "easee-bot.helm.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
        config/sha256: {{ toYaml .Values.config | sha256sum }}
        {{- with .Values.podAnnotations }}{{ toYaml . | nindent 8 }}{{- end }}
      labels:
        {{- include "easee-bot.helm.selectorLabels" . | nindent 8 }}
    spec:
      {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      serviceAccountName: {{ include "easee-bot.helm.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
          volumeMounts:
            - mountPath: /etc/config
              name: config
            - mountPath: /etc/secret
              name: secret
            - mountPath: /tmp
              name: tmp
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}

      volumes:
        - name: config
          configMap:
            name: config
        - name: secret
          secret:
            secretName: secret
        - name: tmp
          emptyDir: {}

